using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Fast.Database.Models;

[Table("business_central_history")]
public partial class BusinessCentralHistory
{
    [Key]
    [Column("id")]
    public int Id { get; set; }

    [Column("status", TypeName = "citext")]
    public string Status { get; set; } = null!;

    [Column("ran_at")]
    public DateTime RanAt { get; set; }

    [Column("message", TypeName = "citext")]
    public string Message { get; set; } = null!;

    [Column("month")]
    public DateOnly Month { get; set; }
}
